Index Page spkcls_c

A B C D E F G H I J K L M N O P Q R S T U V W X

Procedure Abstract Required_Reading Keywords Brief_I/O Detailed_Input | Detailed_Output Parameters Exceptions Files Particulars Examples | Restrictions Literature_References Author_and_Institution Version Index_Entries

#### Procedure

       void spkcls_c ( SpiceInt handle )

#### Abstract

       Close an open SPK file.

#### Required_Reading

       SPK

#### Keywords

       SPK

#### Brief_I/O

       VARIABLE  I/O  DESCRIPTION
       --------  ---  --------------------------------------------------
       handle     I   Handle of the SPK file to be closed.

#### Detailed_Input

       handle     The handle of the SPK file that is to be closed.

#### Detailed_Output

       None.

#### Parameters

       None.

#### Exceptions

       1) If there are no segments in the file, the error
          SPICE(NOSEGMENTSFOUND) will be signaled.

#### Files

       See argument handle.

#### Particulars

       Close the SPK file attached to handle.

#### Examples

       Suppose that you want to create a new SPK file called "new.spk"
       that contains a single type 5 SPK segment and has room for at
       least 5000 comment characters. The following code fragment should
       take care of this for you, assuming that all of the variables
       passed to the SPK type 5 segment writer have appropriate values
       and no errors occur.

          #include "SpiceUsr.h"
             .
             .
             .
          name   = "new.spk";
          ifname = "Test SPK file";

          spkopn_c ( name, ifname, 5000,  &handle );
          spkw05   ( handle, objid, cntrid, cframe, etbeg,
                     etend, segmid, cntrgm, nstate, state,
                     epoch                                 );
          spkcls_c ( handle );

#### Restrictions

       None.

#### Literature_References

       None.

#### Author_and_Institution

       F.S. Turner        (JPL)

#### Version

       -CSPICE Version 1.0.0, 16-MAR-1999 (FST)

#### Index_Entries

       close an spk file

#### Link to routine spkcls_c source file spkcls_c.c

    Wed Apr  5 17:54:43 2017